/**
 * This program and the accompanying materials are made available under the terms of the
 * Eclipse Public License v2.0 which accompanies this distribution, and is available at
 * https://www.eclipse.org/legal/epl-v20.html
 *
 * SPDX-License-Identifier: EPL-2.0
 *
 * Copyright IBM Corporation 2016, 2019
 */

import { Map } from 'immutable';

export const PUSH_NOTIFICATION_MESSAGE = 'PUSH_NOTIFICATION_MESSAGE';
export const POP_NOTIFICATION_MESSAGE = 'POP_NOTIFICATION_MESSAGE';

function pushMessage(message) {
    return {
        type: PUSH_NOTIFICATION_MESSAGE,
        message,
    };
}

export function constructAndPushMessage(message) {
    return pushMessage(Map({
        message,
    }));
}

export function popMessage() {
    return {
        type: POP_NOTIFICATION_MESSAGE,
    };
}
